/*  Occam/C interface mechanism V3.0 (22/5/95)  */
/*  Simple data types and arrays of words.      */
/*  Arrays of BYTEs INT16s, REAL64s and INT64s  */
/*  have to be converted separately before use. */


                               /* for reversing endianism */
typedef union
    {    double d;
         long long int l;
         int i[2];
    } pair;

typedef union                  /* anything that can go into a single word  */
    {
      int             i;
      float           f;
      int            *ip;
      int            **ipp;
      float          *fp;
      double         *dp;
      pair           *pp;
      short int       s[2];
      short int      *sp;
      char            c[4];
      char           *cp;
      long long int  *lp;
    }  word;


void fpconst(void);            /* Routine which restores kroc floating point constants. */


/* include original file for prototypes. */ 
#include "xlib.h"


void  _XLoadQueryFont (w)
word w[4];
{

	(*w[0].ip) = (int *) (XLoadQueryFont((Display *) ((*w[1].ip)), 
		(w[2].cp)));

}

void  _XQueryFont (w)
word w[3];
{

	(*w[0].ip) = (int *) (XQueryFont((Display *) ((*w[1].ip)), (XID) (w[2].i)));

}

void  _XGetMotionEvents (w)
word w[6];
{

	(*w[0].ip) = (int *) (XGetMotionEvents((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Time) (w[3].i), (Time) (w[4].i), 
		w[5].ip));

}

void  _XDeleteModifiermapEntry (w)
word w[4];
{

	(*w[0].ip) = (int *) (XDeleteModifiermapEntry((XModifierKeymap *) ((*w[1].ip)), 
		w[2].i, w[3].i));

}

void  _XGetModifierMapping (w)
word w[2];
{

	(*w[0].ip) = (int *) (XGetModifierMapping((Display *) ((*w[1].ip))));

}

void  _XInsertModifiermapEntry (w)
word w[4];
{

	(*w[0].ip) = (int *) (XInsertModifiermapEntry((XModifierKeymap *) ((*w[1].ip)), 
		w[2].i, w[3].i));

}

void  _XNewModifiermap (w)
word w[2];
{

	(*w[0].ip) = (int *) (XNewModifiermap(w[1].i));

}

void  _XCreateImage (w)
word w[12];
{

	(*w[0].ip) = (int *) (XCreateImage((Display *) ((*w[1].ip)), 
		(Visual *) ((*w[2].ip)), w[3].i, w[4].i, w[5].i, 
		(w[6].cp), w[8].i, w[9].i, w[10].i, w[11].i));

}

void  _XGetImage (w)
word w[9];
{

	(*w[0].ip) = (int *) (XGetImage((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		w[3].i, w[4].i, w[5].i, w[6].i, w[7].i, w[8].i));

}

void  _XGetSubImage (w)
word w[12];
{

	(*w[0].ip) = (int *) (XGetSubImage((Display *) ((*w[1].ip)), 
		(Drawable) (w[2].i), w[3].i, w[4].i, w[5].i, 
		w[6].i, w[7].i, w[8].i, (XImage *) ((*w[9].ip)), 
		w[10].i, w[11].i));

}

void  _XOpenDisplay (w)
word w[3];
{

	(*w[0].ip) = (int *) (XOpenDisplay((w[1].cp)));

}

void  _XrmInitialize (void)
{
	XrmInitialize();
}

void  _XFetchBytes (w)
word w[3];
{

	(*w[0].ip) = XFetchBytes((Display *) ((*w[1].ip)), w[2].ip);

}

void  _XFetchBuffer (w)
word w[4];
{

	(*w[0].ip) = XFetchBuffer((Display *) ((*w[1].ip)), w[2].ip, 
		w[3].i);

}

void  _XGetAtomName (w)
word w[3];
{

	(*w[0].ip) = XGetAtomName((Display *) ((*w[1].ip)), (Atom) (w[2].i));

}

void  _XGetDefault (w)
word w[6];
{

	(*w[0].ip) = XGetDefault((Display *) ((*w[1].ip)), (w[2].cp), 
		(w[4].cp));

}

void  _XDisplayName (w)
word w[3];
{
	(*w[0].ip) = XDisplayName((w[1].cp));
}

void  _XKeysymToString (w)
word w[2];
{
	(*w[0].ip) = XKeysymToString((KeySym) (w[1].i));
}

void  _XSynchronize (w)
word w[3];
{

	(*w[0].ip) = XSynchronize((Display *) ((*w[1].ip)), w[2].i);

}

void  _XSetAfterFunction (w)
word w[3];
{

	(*w[0].ip) = XSetAfterFunction((Display *) ((*w[1].ip)), w[2].i);

}

void  _XInternAtom (w)
word w[5];
{

	(*w[0].ip) = (int) (XInternAtom((Display *) ((*w[1].ip)), (w[2].cp), 
		w[4].i));

}

void  _XCopyColormapAndFree (w)
word w[3];
{

	(*w[0].ip) = (int) (XCopyColormapAndFree((Display *) ((*w[1].ip)), 
		(Colormap) (w[2].i)));

}

void  _XCreateColormap (w)
word w[5];
{

	(*w[0].ip) = (int) (XCreateColormap((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Visual *) ((*w[3].ip)), w[4].i));

}

void  _XCreatePixmapCursor (w)
word w[8];
{

	(*w[0].ip) = (int) (XCreatePixmapCursor((Display *) ((*w[1].ip)), 
		(Pixmap) (w[2].i), (Pixmap) (w[3].i), (XColor *) ((*w[4].ip)), 
		(XColor *) ((*w[5].ip)), w[6].i, w[7].i));

}

void  _XCreateGlyphCursor (w)
word w[8];
{

	(*w[0].ip) = (int) (XCreateGlyphCursor((Display *) ((*w[1].ip)), 
		(Font) (w[2].i), (Font) (w[3].i), w[4].i, w[5].i, 
		(XColor *) ((*w[6].ip)), (XColor *) ((*w[7].ip))));

}

void  _XCreateFontCursor (w)
word w[3];
{

	(*w[0].ip) = (int) (XCreateFontCursor((Display *) ((*w[1].ip)), 
		w[2].i));

}

void  _XLoadFont (w)
word w[4];
{

	(*w[0].ip) = (int) (XLoadFont((Display *) ((*w[1].ip)), (w[2].cp)));

}

void  _XCreateGC (w)
word w[5];
{

	(*w[0].ip) = (int *) (XCreateGC((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		w[3].i, (XGCValues *) ((*w[4].ip))));

}

void  _XGContextFromGC (w)
word w[2];
{

	(*w[0].ip) = (int) (XGContextFromGC((GC *) ((*w[1].ip))));

}

void  _XFlushGC (w)
word w[2];
{

	XFlushGC((Display *) ((*w[0].ip)), (GC *) ((*w[1].ip)));

}

void  _XCreatePixmap (w)
word w[6];
{

	(*w[0].ip) = (int) (XCreatePixmap((Display *) ((*w[1].ip)), 
		(Drawable) (w[2].i), w[3].i, w[4].i, w[5].i));

}

void  _XCreateBitmapFromData (w)
word w[7];
{

	(*w[0].ip) = (int) (XCreateBitmapFromData((Display *) ((*w[1].ip)), 
		(Drawable) (w[2].i), (w[3].cp), w[5].i, w[6].i));

}

void  _XCreatePixmapFromBitmapData (w)
word w[10];
{

	(*w[0].ip) = (int) (XCreatePixmapFromBitmapData((Display *) ((*w[1].ip)), 
		(Drawable) (w[2].i), (w[3].cp), w[5].i, w[6].i, 
		w[7].i, w[8].i, w[9].i));

}

void  _XCreateSimpleWindow (w)
word w[10];
{

	(*w[0].ip) = (int) (XCreateSimpleWindow((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].i, w[4].i, w[5].i, w[6].i, 
		w[7].i, w[8].i, w[9].i));

}

void  _XGetSelectionOwner (w)
word w[3];
{

	(*w[0].ip) = (int) (XGetSelectionOwner((Display *) ((*w[1].ip)), 
		(Atom) (w[2].i)));

}

void  _XCreateWindow (w)
word w[13];
{

	(*w[0].ip) = (int) (XCreateWindow((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].i, w[4].i, w[5].i, w[6].i, 
		w[7].i, w[8].i, w[9].i, (Visual *) ((*w[10].ip)), 
		w[11].i, (XSetWindowAttributes *) ((*w[12].ip))));

}

void  _XListInstalledColormaps (w)
word w[4];
{

	(*w[0].ip) = (int *) (XListInstalledColormaps((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].ip));

}

void  _XListFonts (w)
word w[6];
{

	(*w[0].ip) = (int) (XListFonts((Display *) ((*w[1].ip)), (w[2].cp), 
		w[4].i, w[5].ip));

}

void  _XListFontsWithInfo (w)
word w[7];
{

	(*w[0].ip) = (int) (XListFontsWithInfo((Display *) ((*w[1].ip)), 
		(w[2].cp), w[4].i, w[5].ip, (XFontStruct *) (w[6].i)));

}

void  _XGetFontPath (w)
word w[3];
{

	(*w[0].ip) = (int) (XGetFontPath((Display *) ((*w[1].ip)), w[2].ip));

}

void  _XListExtensions (w)
word w[3];
{

	(*w[0].ip) = (int) (XListExtensions((Display *) ((*w[1].ip)), 
		w[2].ip));

}

void  _XListProperties (w)
word w[4];
{

	(*w[0].ip) = (int *) (XListProperties((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].ip));

}

void  _XListHosts (w)
word w[4];
{

	(*w[0].ip) = (int *) (XListHosts((Display *) ((*w[1].ip)), w[2].ip, 
		w[3].ip));

}

void  _XKeycodeToKeysym (w)
word w[4];
{

	(*w[0].ip) = (int) (XKeycodeToKeysym((Display *) ((*w[1].ip)), 
		w[2].i, w[3].i));

}

void  _XLookupKeysym (w)
word w[3];
{

	(*w[0].ip) = (int) (XLookupKeysym((XKeyEvent *) ((*w[1].ip)), 
		w[2].i));

}

void  _XGetKeyboardMapping (w)
word w[5];
{

	(*w[0].ip) = (int *) (XGetKeyboardMapping((Display *) ((*w[1].ip)), 
		w[2].i, w[3].i, w[4].ip));

}

void  _XStringToKeysym (w)
word w[3];
{
	(*w[0].ip) = (int) (XStringToKeysym((w[1].cp)));
}

void  _XMaxRequestSize (w)
word w[2];
{

	(*w[0].ip) = XMaxRequestSize((Display *) ((*w[1].ip)));

}

void  _XResourceManagerString (w)
word w[2];
{

	(*w[0].ip) = XResourceManagerString((Display *) ((*w[1].ip)));

}

void  _XScreenResourceString (w)
word w[2];
{

	(*w[0].ip) = XScreenResourceString((Screen *) ((*w[1].ip)));

}

void  _XDisplayMotionBufferSize (w)
word w[2];
{

	(*w[0].ip) = XDisplayMotionBufferSize((Display *) ((*w[1].ip)));

}

void  _XVisualIDFromVisual (w)
word w[2];
{

	(*w[0].ip) = (int) (XVisualIDFromVisual((Visual *) ((*w[1].ip))));

}

void  _XInitExtension (w)
word w[4];
{

	(*w[0].ip) = (int *) (XInitExtension((Display *) ((*w[1].ip)), 
		(w[2].cp)));

}

void  _XAddExtension (w)
word w[2];
{

	(*w[0].ip) = (int *) (XAddExtension((Display *) ((*w[1].ip))));

}

void  _XFindOnExtensionList (w)
word w[3];
{

	(*w[0].ip) = (int *) (XFindOnExtensionList((XExtData *) (w[1].i), 
		w[2].i));

}

void  _XEHeadOfExtensionList (w)
word w[2];
{
/*
	(*w[0].ip) = (int) (XEHeadOfExtensionList((XEDataObject) ((*w[1].ip))));
	*/
}

void  _XRootWindow (w)
word w[3];
{

	(*w[0].ip) = (int) (XRootWindow((Display *) ((*w[1].ip)), w[2].i));

}

void  _XDefaultRootWindow (w)
word w[2];
{

	(*w[0].ip) = (int) (XDefaultRootWindow((Display *) ((*w[1].ip))));

}

void  _XRootWindowOfScreen (w)
word w[2];
{

	(*w[0].ip) = (int) (XRootWindowOfScreen((Screen *) ((*w[1].ip))));

}

void  _XDefaultVisual (w)
word w[3];
{

	(*w[0].ip) = (int *) (XDefaultVisual((Display *) ((*w[1].ip)), 
		w[2].i));

}

void  _XDefaultVisualOfScreen (w)
word w[2];
{

	(*w[0].ip) = (int *) (XDefaultVisualOfScreen((Screen *) ((*w[1].ip))));

}

void  _XDefaultGC (w)
word w[3];
{

	(*w[0].ip) = (int *) (XDefaultGC((Display *) ((*w[1].ip)), w[2].i));

}

void  _XDefaultGCOfScreen (w)
word w[2];
{

	(*w[0].ip) = (int *) (XDefaultGCOfScreen((Screen *) ((*w[1].ip))));

}

void  _XBlackPixel (w)
word w[3];
{

	(*w[0].ip) = XBlackPixel((Display *) ((*w[1].ip)), w[2].i);

}

void  _XWhitePixel (w)
word w[3];
{

	(*w[0].ip) = XWhitePixel((Display *) ((*w[1].ip)), w[2].i);

}

void  _XAllPlanes (w)
word w[1];
{
	(*w[0].ip) = XAllPlanes();
}

void  _XBlackPixelOfScreen (w)
word w[2];
{

	(*w[0].ip) = XBlackPixelOfScreen((Screen *) ((*w[1].ip)));

}

void  _XWhitePixelOfScreen (w)
word w[2];
{

	(*w[0].ip) = XWhitePixelOfScreen((Screen *) ((*w[1].ip)));

}

void  _XNextRequest (w)
word w[2];
{

	(*w[0].ip) = XNextRequest((Display *) ((*w[1].ip)));

}
/*
void  _XLastKnownRequestProcessed (w)
word w[2];
{

	(*w[0].ip) = XLastKnownRequestProcessed((Display *) ((*w[1].ip)));

}
*/
void  _XServerVendor (w)
word w[2];
{

	(*w[0].ip) = XServerVendor((Display *) ((*w[1].ip)));

}

void  _XDisplayString (w)
word w[2];
{

	(*w[0].ip) = XDisplayString((Display *) ((*w[1].ip)));

}

void  _XDefaultColormap (w)
word w[3];
{

	(*w[0].ip) = (int) (XDefaultColormap((Display *) ((*w[1].ip)), 
		w[2].i));

}

void  _XDefaultColormapOfScreen (w)
word w[2];
{

	(*w[0].ip) = (int) (XDefaultColormapOfScreen((Screen *) ((*w[1].ip))));

}

void  _XDisplayOfScreen (w)
word w[2];
{

	(*w[0].ip) = (int *) (XDisplayOfScreen((Screen *) ((*w[1].ip))));

}

void  _XScreenOfDisplay (w)
word w[3];
{

	(*w[0].ip) = (int *) (XScreenOfDisplay((Display *) ((*w[1].ip)), 
		w[2].i));

}

void  _XDefaultScreenOfDisplay (w)
word w[2];
{

	(*w[0].ip) = (int *) (XDefaultScreenOfDisplay((Display *) ((*w[1].ip))));

}

void  _XEventMaskOfScreen (w)
word w[2];
{

	(*w[0].ip) = XEventMaskOfScreen((Screen *) ((*w[1].ip)));

}

void  _XScreenNumberOfScreen (w)
word w[2];
{

	(*w[0].ip) = XScreenNumberOfScreen((Screen *) ((*w[1].ip)));

}

void  _XSetErrorHandler (w)
word w[2];
{
	(*w[0].ip) = (int *) (XSetErrorHandler((XErrorHandler *) (w[1].ip)));
}

void  _XSetIOErrorHandler (w)
word w[2];
{
	(*w[0].ip) = (int *) (XSetIOErrorHandler((XIOErrorHandler *) (w[1].ip)));
}

void  _XListPixmapFormats (w)
word w[3];
{

	(*w[0].ip) = (int *) (XListPixmapFormats((Display *) ((*w[1].ip)), 
		w[2].ip));

}

void  _XListDepths (w)
word w[4];
{

	(*w[0].ip) = XListDepths((Display *) ((*w[1].ip)), w[2].i, w[3].ip);

}

void  _XReconfigureWMWindow (w)
word w[6];
{

	(*w[0].ip) = XReconfigureWMWindow((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].i, w[4].i, (XWindowChanges *) ((*w[5].ip)));

}

void  _XGetWMProtocols (w)
word w[5];
{

	(*w[0].ip) = XGetWMProtocols((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Atom *) (w[3].i), w[4].ip);

}

void  _XSetWMProtocols (w)
word w[5];
{

	(*w[0].ip) = XSetWMProtocols((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Atom *) (w[3].ip), w[4].i);

}

void  _XIconifyWindow (w)
word w[4];
{

	(*w[0].ip) = XIconifyWindow((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i);

}

void  _XWithdrawWindow (w)
word w[4];
{

	(*w[0].ip) = XWithdrawWindow((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i);

}

void  _XGetCommand (w)
word w[5];
{

	(*w[0].ip) = XGetCommand((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].ip);

}

void  _XGetWMColormapWindows (w)
word w[5];
{

	(*w[0].ip) = XGetWMColormapWindows((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Window *) (w[3].i), w[4].ip);

}

void  _XSetWMColormapWindows (w)
word w[5];
{

	(*w[0].ip) = XSetWMColormapWindows((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Window *) (w[3].ip), w[4].i);

}

void  _XFreeStringList (w)
word w[1];
{
	XFreeStringList(w[0].i);
}

void  _XSetTransientForHint (w)
word w[4];
{

	(*w[0].ip) = XSetTransientForHint((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Window) (w[3].i));

}

void  _XActivateScreenSaver (w)
word w[2];
{

	(*w[0].ip) = XActivateScreenSaver((Display *) ((*w[1].ip)));

}

void  _XAddHost (w)
word w[3];
{

	(*w[0].ip) = XAddHost((Display *) ((*w[1].ip)), (XHostAddress *) ((*w[2].ip)));

}

void  _XAddHosts (w)
word w[4];
{

	(*w[0].ip) = XAddHosts((Display *) ((*w[1].ip)), (XHostAddress *) ((*w[2].ip)), 
		w[3].i);

}

void  _XAddToExtensionList (w)
word w[3];
{

	(*w[0].ip) = XAddToExtensionList(w[1].i, (XExtData *) ((*w[2].ip)));

}

void  _XAddToSaveSet (w)
word w[3];
{

	(*w[0].ip) = XAddToSaveSet((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XAllocColor (w)
word w[4];
{

	(*w[0].ip) = XAllocColor((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(XColor *) ((*w[3].ip)));

}

void  _XAllocColorCells (w)
word w[8];
{

	(*w[0].ip) = XAllocColorCells((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		w[3].i, w[4].ip, w[5].i, w[6].ip, w[7].i);

}

void  _XAllocColorPlanes (w)
word w[12];
{

	(*w[0].ip) = XAllocColorPlanes((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		w[3].i, w[4].ip, w[5].i, w[6].i, w[7].i, w[8].i, 
		w[9].ip, w[10].ip, w[11].ip);

}

void  _XAllocNamedColor (w)
word w[7];
{

	(*w[0].ip) = XAllocNamedColor((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(w[3].cp), (XColor *) ((*w[5].ip)), (XColor *) ((*w[6].ip)));

}

void  _XAllowEvents (w)
word w[4];
{

	(*w[0].ip) = XAllowEvents((Display *) ((*w[1].ip)), w[2].i, 
		(Time) (w[3].i));

}

void  _XAutoRepeatOff (w)
word w[2];
{

	(*w[0].ip) = XAutoRepeatOff((Display *) ((*w[1].ip)));

}

void  _XAutoRepeatOn (w)
word w[2];
{

	(*w[0].ip) = XAutoRepeatOn((Display *) ((*w[1].ip)));

}

void  _XBell (w)
word w[3];
{

	(*w[0].ip) = XBell((Display *) ((*w[1].ip)), w[2].i);

}

void  _XBitmapBitOrder (w)
word w[2];
{

	(*w[0].ip) = XBitmapBitOrder((Display *) ((*w[1].ip)));

}

void  _XBitmapPad (w)
word w[2];
{

	(*w[0].ip) = XBitmapPad((Display *) ((*w[1].ip)));

}

void  _XBitmapUnit (w)
word w[2];
{

	(*w[0].ip) = XBitmapUnit((Display *) ((*w[1].ip)));

}

void  _XCellsOfScreen (w)
word w[2];
{

	(*w[0].ip) = XCellsOfScreen((Screen *) ((*w[1].ip)));

}

void  _XChangeActivePointerGrab (w)
word w[5];
{

	(*w[0].ip) = XChangeActivePointerGrab((Display *) ((*w[1].ip)), 
		w[2].i, (Cursor) (w[3].i), (Time) (w[4].i));

}

void  _XChangeGC (w)
word w[5];
{

	(*w[0].ip) = XChangeGC((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, (XGCValues *) ((*w[4].ip)));

}

void  _XChangeKeyboardControl (w)
word w[4];
{

	(*w[0].ip) = XChangeKeyboardControl((Display *) ((*w[1].ip)), 
		w[2].i, (XKeyboardControl *) ((*w[3].ip)));

}

void  _XChangeKeyboardMapping (w)
word w[6];
{

	(*w[0].ip) = XChangeKeyboardMapping((Display *) ((*w[1].ip)), 
		w[2].i, w[3].i, (KeySym *) (w[4].ip), w[5].i);

}

void  _XChangePointerControl (w)
word w[7];
{

	(*w[0].ip) = XChangePointerControl((Display *) ((*w[1].ip)), 
		w[2].i, w[3].i, w[4].i, w[5].i, w[6].i);

}

void  _XChangeProperty (w)
word w[10];
{

	(*w[0].ip) = XChangeProperty((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Atom) (w[3].i), (Atom) (w[4].i), w[5].i, w[6].i, 
		(w[7].cp), w[9].i);

}

void  _XChangeSaveSet (w)
word w[4];
{

	(*w[0].ip) = XChangeSaveSet((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i);

}

void  _XChangeWindowAttributes (w)
word w[5];
{

	(*w[0].ip) = XChangeWindowAttributes((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].i, (XSetWindowAttributes *) ((*w[4].ip)));

}

void  _XCheckIfEvent (w)
word w[6];
{

	(*w[0].ip) = XCheckIfEvent((Display *) ((*w[1].ip)), (XEvent *) ((*w[2].ip)), 
		w[3].i, (XPointer *) ((w[4].cp)));

}

void  _XCheckMaskEvent (w)
word w[4];
{

	(*w[0].ip) = XCheckMaskEvent((Display *) ((*w[1].ip)), w[2].i, 
		(XEvent *) ((*w[3].ip)));

}

void  _XCheckTypedEvent (w)
word w[4];
{

	(*w[0].ip) = XCheckTypedEvent((Display *) ((*w[1].ip)), w[2].i, 
		(XEvent *) ((*w[3].ip)));

}

void  _XCheckTypedWindowEvent (w)
word w[5];
{

	(*w[0].ip) = XCheckTypedWindowEvent((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].i, (XEvent *) ((*w[4].ip)));

}

void  _XCheckWindowEvent (w)
word w[5];
{

	(*w[0].ip) = XCheckWindowEvent((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, (XEvent *) ((*w[4].ip)));

}

void  _XCirculateSubwindows (w)
word w[4];
{

	(*w[0].ip) = XCirculateSubwindows((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].i);

}

void  _XCirculateSubwindowsDown (w)
word w[3];
{

	(*w[0].ip) = XCirculateSubwindowsDown((Display *) ((*w[1].ip)), 
		(Window) (w[2].i));

}

void  _XCirculateSubwindowsUp (w)
word w[3];
{

	(*w[0].ip) = XCirculateSubwindowsUp((Display *) ((*w[1].ip)), 
		(Window) (w[2].i));

}

void  _XClearArea (w)
word w[8];
{

	(*w[0].ip) = XClearArea((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].i, w[5].i, w[6].i, w[7].i);

}

void  _XClearWindow (w)
word w[3];
{

	(*w[0].ip) = XClearWindow((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XCloseDisplay (w)
word w[2];
{

	(*w[0].ip) = XCloseDisplay((Display *) ((*w[1].ip)));

}

void  _XConfigureWindow (w)
word w[5];
{

	(*w[0].ip) = XConfigureWindow((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, (XWindowChanges *) ((*w[4].ip)));

}

void  _XConnectionNumber (w)
word w[2];
{

	(*w[0].ip) = XConnectionNumber((Display *) ((*w[1].ip)));

}

void  _XConvertSelection (w)
word w[7];
{

	(*w[0].ip) = XConvertSelection((Display *) ((*w[1].ip)), (Atom) (w[2].i), 
		(Atom) (w[3].i), (Atom) (w[4].i), (Window) (w[5].i), 
		(Time) (w[6].i));

}

void  _XCopyArea (w)
word w[11];
{

	(*w[0].ip) = XCopyArea((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(Drawable) (w[3].i), (GC *) ((*w[4].ip)), w[5].i, 
		w[6].i, w[7].i, w[8].i, w[9].i, w[10].i);

}

void  _XCopyGC (w)
word w[5];
{

	(*w[0].ip) = XCopyGC((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, (GC *) ((*w[4].ip)));

}

void  _XCopyPlane (w)
word w[12];
{

	(*w[0].ip) = XCopyPlane((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(Drawable) (w[3].i), (GC *) ((*w[4].ip)), w[5].i, 
		w[6].i, w[7].i, w[8].i, w[9].i, w[10].i, w[11].i);

}

void  _XDefaultDepth (w)
word w[3];
{

	(*w[0].ip) = XDefaultDepth((Display *) ((*w[1].ip)), w[2].i);

}

void  _XDefaultDepthOfScreen (w)
word w[2];
{

	(*w[0].ip) = XDefaultDepthOfScreen((Screen *) ((*w[1].ip)));

}

void  _XDefaultScreen (w)
word w[2];
{

	(*w[0].ip) = XDefaultScreen((Display *) ((*w[1].ip)));

}

void  _XDefineCursor (w)
word w[4];
{

	(*w[0].ip) = XDefineCursor((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Cursor) (w[3].i));

}

void  _XDeleteProperty (w)
word w[4];
{

	(*w[0].ip) = XDeleteProperty((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Atom) (w[3].i));

}

void  _XDestroyWindow (w)
word w[3];
{

	(*w[0].ip) = XDestroyWindow((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XDestroySubwindows (w)
word w[3];
{

	(*w[0].ip) = XDestroySubwindows((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XDoesBackingStore (w)
word w[2];
{

	(*w[0].ip) = XDoesBackingStore((Screen *) ((*w[1].ip)));

}

void  _XDoesSaveUnders (w)
word w[2];
{

	(*w[0].ip) = XDoesSaveUnders((Screen *) ((*w[1].ip)));

}

void  _XDisableAccessControl (w)
word w[2];
{

	(*w[0].ip) = XDisableAccessControl((Display *) ((*w[1].ip)));

}

void  _XDisplayCells (w)
word w[3];
{

	(*w[0].ip) = XDisplayCells((Display *) ((*w[1].ip)), w[2].i);

}

void  _XDisplayHeight (w)
word w[3];
{

	(*w[0].ip) = XDisplayHeight((Display *) ((*w[1].ip)), w[2].i);

}

void  _XDisplayHeightMM (w)
word w[3];
{

	(*w[0].ip) = XDisplayHeightMM((Display *) ((*w[1].ip)), w[2].i);

}

void  _XDisplayKeycodes (w)
word w[4];
{

	(*w[0].ip) = XDisplayKeycodes((Display *) ((*w[1].ip)), w[2].ip, 
		w[3].ip);

}

void  _XDisplayPlanes (w)
word w[3];
{

	(*w[0].ip) = XDisplayPlanes((Display *) ((*w[1].ip)), w[2].i);

}

void  _XDisplayWidth (w)
word w[3];
{

	(*w[0].ip) = XDisplayWidth((Display *) ((*w[1].ip)), w[2].i);

}

void  _XDisplayWidthMM (w)
word w[3];
{

	(*w[0].ip) = XDisplayWidthMM((Display *) ((*w[1].ip)), w[2].i);

}

void  _XDrawArc (w)
word w[10];
{

	(*w[0].ip) = XDrawArc((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, w[6].i, 
		w[7].i, w[8].i, w[9].i);

}

void  _XDrawArcs (w)
word w[6];
{

	(*w[0].ip) = XDrawArcs((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XArc *) ((*w[4].ip)), w[5].i);

}

void  _XDrawImageString (w)
word w[9];
{

	(*w[0].ip) = XDrawImageString((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, (w[6].cp), 
		w[8].i);

}

void  _XDrawImageString16 (w)
word w[8];
{

	(*w[0].ip) = XDrawImageString16((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, (XChar2b *) ((*w[6].ip)), 
		w[7].i);

}

void  _XDrawLine (w)
word w[8];
{

	(*w[0].ip) = XDrawLine((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, w[6].i, 
		w[7].i);

}

void  _XDrawLines (w)
word w[7];
{

	(*w[0].ip) = XDrawLines((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XPoint *) ((*w[4].ip)), 
		w[5].i, w[6].i);

}

void  _XDrawPoint (w)
word w[6];
{

	(*w[0].ip) = XDrawPoint((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i);

}

void  _XDrawPoints (w)
word w[7];
{

	(*w[0].ip) = XDrawPoints((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XPoint *) ((*w[4].ip)), 
		w[5].i, w[6].i);

}

void  _XDrawRectangle (w)
word w[8];
{

	(*w[0].ip) = XDrawRectangle((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, w[6].i, 
		w[7].i);

}

void  _XDrawRectangles (w)
word w[6];
{

	(*w[0].ip) = XDrawRectangles((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XRectangle *) ((*w[4].ip)), 
		w[5].i);

}

void  _XDrawSegments (w)
word w[6];
{

	(*w[0].ip) = XDrawSegments((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XSegment *) ((*w[4].ip)), 
		w[5].i);

}

void  _XDrawString (w)
word w[9];
{

	(*w[0].ip) = XDrawString((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, (w[6].cp), 
		w[8].i);

}

void  _XDrawString16 (w)
word w[8];
{

	(*w[0].ip) = XDrawString16((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, (XChar2b *) ((*w[6].ip)), 
		w[7].i);

}

void  _XDrawText (w)
word w[8];
{

	(*w[0].ip) = XDrawText((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, (XTextItem *) ((*w[6].ip)), 
		w[7].i);

}

void  _XDrawText16 (w)
word w[8];
{

	(*w[0].ip) = XDrawText16((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, (XTextItem16 *) ((*w[6].ip)), 
		w[7].i);

}

void  _XEnableAccessControl (w)
word w[2];
{

	(*w[0].ip) = XEnableAccessControl((Display *) ((*w[1].ip)));

}

void  _XEventsQueued (w)
word w[3];
{

	(*w[0].ip) = XEventsQueued((Display *) ((*w[1].ip)), w[2].i);

}

void  _XFetchName (w)
word w[4];
{

	(*w[0].ip) = XFetchName((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i);

}

void  _XFillArc (w)
word w[10];
{

	(*w[0].ip) = XFillArc((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, w[6].i, 
		w[7].i, w[8].i, w[9].i);

}

void  _XFillArcs (w)
word w[6];
{

	(*w[0].ip) = XFillArcs((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XArc *) ((*w[4].ip)), w[5].i);

}

void  _XFillPolygon (w)
word w[8];
{

	(*w[0].ip) = XFillPolygon((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XPoint *) ((*w[4].ip)), 
		w[5].i, w[6].i, w[7].i);

}

void  _XFillRectangle (w)
word w[8];
{

	(*w[0].ip) = XFillRectangle((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), w[4].i, w[5].i, w[6].i, 
		w[7].i);

}

void  _XFillRectangles (w)
word w[6];
{

	(*w[0].ip) = XFillRectangles((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XRectangle *) ((*w[4].ip)), 
		w[5].i);

}

void  _XFlush (w)
word w[2];
{

	(*w[0].ip) = XFlush((Display *) ((*w[1].ip)));

}

void  _XForceScreenSaver (w)
word w[3];
{

	(*w[0].ip) = XForceScreenSaver((Display *) ((*w[1].ip)), w[2].i);

}

void  _XFree (w)
word w[2];
{
	(*w[0].ip) = XFree((void *) (w[1].ip));
}

void  _XFreeColormap (w)
word w[3];
{

	(*w[0].ip) = XFreeColormap((Display *) ((*w[1].ip)), (Colormap) (w[2].i));

}

void  _XFreeColors (w)
word w[6];
{

	(*w[0].ip) = XFreeColors((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		w[3].ip, w[4].i, w[5].i);

}

void  _XFreeCursor (w)
word w[3];
{

	(*w[0].ip) = XFreeCursor((Display *) ((*w[1].ip)), (Cursor) (w[2].i));

}

void  _XFreeExtensionList (w)
word w[2];
{
	(*w[0].ip) = XFreeExtensionList(w[1].i);
}

void  _XFreeFont (w)
word w[3];
{

	(*w[0].ip) = XFreeFont((Display *) ((*w[1].ip)), (XFontStruct *) ((*w[2].ip)));

}

void  _XFreeFontInfo (w)
word w[4];
{

	(*w[0].ip) = XFreeFontInfo(w[1].i, (XFontStruct *) ((*w[2].ip)), 
		w[3].i);

}

void  _XFreeFontNames (w)
word w[2];
{
	(*w[0].ip) = XFreeFontNames(w[1].i);
}

void  _XFreeFontPath (w)
word w[2];
{
	(*w[0].ip) = XFreeFontPath(w[1].i);
}

void  _XFreeGC (w)
word w[3];
{

	(*w[0].ip) = XFreeGC((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)));

}

void  _XFreeModifiermap (w)
word w[2];
{

	(*w[0].ip) = XFreeModifiermap((XModifierKeymap *) ((*w[1].ip)));

}

void  _XFreePixmap (w)
word w[3];
{

	(*w[0].ip) = XFreePixmap((Display *) ((*w[1].ip)), (Pixmap) (w[2].i));

}

void  _XGeometry (w)
word w[16];
{

	(*w[0].ip) = XGeometry((Display *) ((*w[1].ip)), w[2].i, (w[3].cp), 
		(w[5].cp), w[7].i, w[8].i, w[9].i, w[10].i, w[11].i, 
		w[12].ip, w[13].ip, w[14].ip, w[15].ip);

}

void  _XGetErrorDatabaseText (w)
word w[11];
{

	(*w[0].ip) = XGetErrorDatabaseText((Display *) ((*w[1].ip)), 
		(w[2].cp), (w[4].cp), (w[6].cp), (w[8].cp), w[10].i);

}

void  _XGetErrorText (w)
word w[6];
{

	(*w[0].ip) = XGetErrorText((Display *) ((*w[1].ip)), w[2].i, 
		(w[3].cp), w[5].i);

}

void  _XGetFontProperty (w)
word w[4];
{

	(*w[0].ip) = XGetFontProperty((XFontStruct *) ((*w[1].ip)), 
		(Atom) (w[2].i), w[3].ip);

}

void  _XGetGCValues (w)
word w[5];
{

	(*w[0].ip) = XGetGCValues((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, (XGCValues *) ((*w[4].ip)));

}

void  _XGetGeometry (w)
word w[10];
{

	(*w[0].ip) = XGetGeometry((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(Window *) (w[3].ip), w[4].ip, w[5].ip, w[6].ip, 
		w[7].ip, w[8].ip, w[9].ip);

}

void  _XGetIconName (w)
word w[4];
{

	(*w[0].ip) = XGetIconName((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i);

}

void  _XGetInputFocus (w)
word w[4];
{

	(*w[0].ip) = XGetInputFocus((Display *) ((*w[1].ip)), (Window *) (w[2].ip), 
		w[3].ip);

}

void  _XGetKeyboardControl (w)
word w[3];
{

	(*w[0].ip) = XGetKeyboardControl((Display *) ((*w[1].ip)), (XKeyboardState *) ((*w[2].ip)));

}

void  _XGetPointerControl (w)
word w[5];
{

	(*w[0].ip) = XGetPointerControl((Display *) ((*w[1].ip)), w[2].ip, 
		w[3].ip, w[4].ip);

}

void  _XGetPointerMapping (w)
word w[5];
{

	(*w[0].ip) = XGetPointerMapping((Display *) ((*w[1].ip)), (w[2].cp), 
		w[4].i);

}

void  _XGetScreenSaver (w)
word w[6];
{

	(*w[0].ip) = XGetScreenSaver((Display *) ((*w[1].ip)), w[2].ip, 
		w[3].ip, w[4].ip, w[5].ip);

}

void  _XGetTransientForHint (w)
word w[4];
{

	(*w[0].ip) = XGetTransientForHint((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Window *) (w[3].ip));

}

void  _XGetWindowProperty (w)
word w[13];
{

	(*w[0].ip) = XGetWindowProperty((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Atom) (w[3].i), w[4].i, w[5].i, w[6].i, (Atom) (w[7].i), 
		(Atom *) (w[8].ip), w[9].ip, w[10].ip, w[11].ip, 
		w[12].i);

}

void  _XGetWindowAttributes (w)
word w[4];
{

	(*w[0].ip) = XGetWindowAttributes((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (XWindowAttributes *) ((*w[3].ip)));

}

void  _XGrabButton (w)
word w[11];
{

	(*w[0].ip) = XGrabButton((Display *) ((*w[1].ip)), w[2].i, w[3].i, 
		(Window) (w[4].i), w[5].i, w[6].i, w[7].i, w[8].i, 
		(Window) (w[9].i), (Cursor) (w[10].i));

}

void  _XGrabKey (w)
word w[8];
{

	(*w[0].ip) = XGrabKey((Display *) ((*w[1].ip)), w[2].i, w[3].i, 
		(Window) (w[4].i), w[5].i, w[6].i, w[7].i);

}

void  _XGrabKeyboard (w)
word w[7];
{

	(*w[0].ip) = XGrabKeyboard((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].i, w[5].i, (Time) (w[6].i));

}

void  _XGrabPointer (w)
word w[10];
{

	(*w[0].ip) = XGrabPointer((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].i, w[5].i, w[6].i, (Window) (w[7].i), 
		(Cursor) (w[8].i), (Time) (w[9].i));

}

void  _XGrabServer (w)
word w[2];
{

	(*w[0].ip) = XGrabServer((Display *) ((*w[1].ip)));

}

void  _XHeightMMOfScreen (w)
word w[2];
{

	(*w[0].ip) = XHeightMMOfScreen((Screen *) ((*w[1].ip)));

}

void  _XHeightOfScreen (w)
word w[2];
{

	(*w[0].ip) = XHeightOfScreen((Screen *) ((*w[1].ip)));

}

void  _XIfEvent (w)
word w[6];
{

	(*w[0].ip) = XIfEvent((Display *) ((*w[1].ip)), (XEvent *) ((*w[2].ip)), 
		w[3].i, (XPointer *) ((w[4].cp)));

}

void  _XImageByteOrder (w)
word w[2];
{

	(*w[0].ip) = XImageByteOrder((Display *) ((*w[1].ip)));

}

void  _XInstallColormap (w)
word w[3];
{

	(*w[0].ip) = XInstallColormap((Display *) ((*w[1].ip)), (Colormap) (w[2].i));

}

void  _XKeysymToKeycode (w)
word w[3];
{

	w[0].c[3] = (char) (XKeysymToKeycode((Display *) ((*w[1].ip)), 
		(KeySym) (w[2].i)));

}

void  _XKillClient (w)
word w[3];
{

	(*w[0].ip) = XKillClient((Display *) ((*w[1].ip)), (XID) (w[2].i));

}

void  _XLastKnownRequestProcessed (w)
word w[2];
{

	(*w[0].ip) = XLastKnownRequestProcessed((Display *) ((*w[1].ip)));

}

void  _XLookupColor (w)
word w[7];
{

	(*w[0].ip) = XLookupColor((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(w[3].cp), (XColor *) ((*w[5].ip)), (XColor *) ((*w[6].ip)));

}

void  _XLowerWindow (w)
word w[3];
{

	(*w[0].ip) = XLowerWindow((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XMapRaised (w)
word w[3];
{

	(*w[0].ip) = XMapRaised((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XMapSubwindows (w)
word w[3];
{

	(*w[0].ip) = XMapSubwindows((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XMapWindow (w)
word w[3];
{

	(*w[0].ip) = XMapWindow((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XMaskEvent (w)
word w[4];
{

	(*w[0].ip) = XMaskEvent((Display *) ((*w[1].ip)), w[2].i, (XEvent *) ((*w[3].ip)));

}

void  _XMaxCmapsOfScreen (w)
word w[2];
{

	(*w[0].ip) = XMaxCmapsOfScreen((Screen *) ((*w[1].ip)));

}

void  _XMinCmapsOfScreen (w)
word w[2];
{

	(*w[0].ip) = XMinCmapsOfScreen((Screen *) ((*w[1].ip)));

}

void  _XMoveResizeWindow (w)
word w[7];
{

	(*w[0].ip) = XMoveResizeWindow((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].i, w[5].i, w[6].i);

}

void  _XMoveWindow (w)
word w[5];
{

	(*w[0].ip) = XMoveWindow((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].i);

}

void  _XNextEvent (w)
word w[3];
{

	(*w[0].ip) = XNextEvent((Display *) ((*w[1].ip)), (XEvent *) ((*w[2].ip)));

}

void  _XNoOp (w)
word w[2];
{

	(*w[0].ip) = XNoOp((Display *) ((*w[1].ip)));

}

void  _XParseColor (w)
word w[6];
{

	(*w[0].ip) = XParseColor((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(w[3].cp), (XColor *) ((*w[5].ip)));

}

void  _XParseGeometry (w)
word w[7];
{
	(*w[0].ip) = XParseGeometry((w[1].cp), w[3].ip, w[4].ip, w[5].ip, 
		w[6].ip);
}

void  _XPeekEvent (w)
word w[3];
{

	(*w[0].ip) = XPeekEvent((Display *) ((*w[1].ip)), (XEvent *) ((*w[2].ip)));

}

void  _XPeekIfEvent (w)
word w[6];
{

	(*w[0].ip) = XPeekIfEvent((Display *) ((*w[1].ip)), (XEvent *) ((*w[2].ip)), 
		w[3].i, (XPointer *) ((w[4].cp)));

}

void  _XPending (w)
word w[2];
{

	(*w[0].ip) = XPending((Display *) ((*w[1].ip)));

}

void  _XPlanesOfScreen (w)
word w[2];
{

	(*w[0].ip) = XPlanesOfScreen((Screen *) ((*w[1].ip)));

}

void  _XProtocolRevision (w)
word w[2];
{

	(*w[0].ip) = XProtocolRevision((Display *) ((*w[1].ip)));

}

void  _XProtocolVersion (w)
word w[2];
{

	(*w[0].ip) = XProtocolVersion((Display *) ((*w[1].ip)));

}

void  _XPutBackEvent (w)
word w[3];
{

	(*w[0].ip) = XPutBackEvent((Display *) ((*w[1].ip)), (XEvent *) ((*w[2].ip)));

}

void  _XPutImage (w)
word w[11];
{

	(*w[0].ip) = XPutImage((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(GC *) ((*w[3].ip)), (XImage *) ((*w[4].ip)), 
		w[5].i, w[6].i, w[7].i, w[8].i, w[9].i, w[10].i);

}

void  _XQLength (w)
word w[2];
{

	(*w[0].ip) = XQLength((Display *) ((*w[1].ip)));

}

void  _XQueryBestCursor (w)
word w[7];
{

	(*w[0].ip) = XQueryBestCursor((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		w[3].i, w[4].i, w[5].ip, w[6].ip);

}

void  _XQueryBestSize (w)
word w[8];
{

	(*w[0].ip) = XQueryBestSize((Display *) ((*w[1].ip)), w[2].i, 
		(Drawable) (w[3].i), w[4].i, w[5].i, w[6].ip, 
		w[7].ip);

}

void  _XQueryBestStipple (w)
word w[7];
{

	(*w[0].ip) = XQueryBestStipple((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		w[3].i, w[4].i, w[5].ip, w[6].ip);

}

void  _XQueryBestTile (w)
word w[7];
{

	(*w[0].ip) = XQueryBestTile((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		w[3].i, w[4].i, w[5].ip, w[6].ip);

}

void  _XQueryColor (w)
word w[4];
{

	(*w[0].ip) = XQueryColor((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(XColor *) ((*w[3].ip)));

}

void  _XQueryColors (w)
word w[5];
{

	(*w[0].ip) = XQueryColors((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(XColor *) ((*w[3].ip)), w[4].i);

}

void  _XQueryExtension (w)
word w[7];
{

	(*w[0].ip) = XQueryExtension((Display *) ((*w[1].ip)), (w[2].cp), 
		w[4].ip, w[5].ip, w[6].ip);

}

void  _XQueryKeymap (w)
word w[4];
{

	(*w[0].ip) = XQueryKeymap((Display *) ((*w[1].ip)), w[2].c[3]);

}

void  _XQueryPointer (w)
word w[10];
{

	(*w[0].ip) = XQueryPointer((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Window *) (w[3].ip), (Window *) (w[4].ip), w[5].ip, 
		w[6].ip, w[7].ip, w[8].ip, w[9].ip);

}

void  _XQueryTextExtents (w)
word w[10];
{

	(*w[0].ip) = XQueryTextExtents((Display *) ((*w[1].ip)), (XID) (w[2].i), 
		(w[3].cp), w[5].i, w[6].ip, w[7].ip, w[8].ip, 
		(XCharStruct *) ((*w[9].ip)));

}

void  _XQueryTextExtents16 (w)
word w[9];
{

	(*w[0].ip) = XQueryTextExtents16((Display *) ((*w[1].ip)), (XID) (w[2].i), 
		(XChar2b *) ((*w[3].ip)), w[4].i, w[5].ip, w[6].ip, 
		w[7].ip, (XCharStruct *) ((*w[8].ip)));

}

void  _XQueryTree (w)
word w[7];
{

	(*w[0].ip) = XQueryTree((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Window *) (w[3].ip), (Window *) (w[4].ip), (Window *) (w[5].i), 
		w[6].ip);

}

void  _XRaiseWindow (w)
word w[3];
{

	(*w[0].ip) = XRaiseWindow((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XReadBitmapFile (w)
word w[10];
{

	(*w[0].ip) = XReadBitmapFile((Display *) ((*w[1].ip)), (Drawable) (w[2].i), 
		(w[3].cp), w[5].ip, w[6].ip, (Pixmap *) (w[7].ip), 
		w[8].ip, w[9].ip);

}

void  _XRebindKeysym (w)
word w[8];
{

	(*w[0].ip) = XRebindKeysym((Display *) ((*w[1].ip)), (KeySym) (w[2].i), 
		(KeySym *) (w[3].ip), w[4].i, (w[5].cp), w[7].i);

}

void  _XRecolorCursor (w)
word w[5];
{

	(*w[0].ip) = XRecolorCursor((Display *) ((*w[1].ip)), (Cursor) (w[2].i), 
		(XColor *) ((*w[3].ip)), (XColor *) ((*w[4].ip)));

}

void  _XRefreshKeyboardMapping (w)
word w[2];
{

	(*w[0].ip) = XRefreshKeyboardMapping((XMappingEvent *) ((*w[1].ip)));

}

void  _XRemoveFromSaveSet (w)
word w[3];
{

	(*w[0].ip) = XRemoveFromSaveSet((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XRemoveHost (w)
word w[3];
{

	(*w[0].ip) = XRemoveHost((Display *) ((*w[1].ip)), (XHostAddress *) ((*w[2].ip)));

}

void  _XRemoveHosts (w)
word w[4];
{

	(*w[0].ip) = XRemoveHosts((Display *) ((*w[1].ip)), (XHostAddress *) ((*w[2].ip)), 
		w[3].i);

}

void  _XReparentWindow (w)
word w[6];
{

	(*w[0].ip) = XReparentWindow((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Window) (w[3].i), w[4].i, w[5].i);

}

void  _XResetScreenSaver (w)
word w[2];
{

	(*w[0].ip) = XResetScreenSaver((Display *) ((*w[1].ip)));

}

void  _XResizeWindow (w)
word w[5];
{

	(*w[0].ip) = XResizeWindow((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].i);

}

void  _XRestackWindows (w)
word w[4];
{

	(*w[0].ip) = XRestackWindows((Display *) ((*w[1].ip)), (Window *) (w[2].ip), 
		w[3].i);

}

void  _XRotateBuffers (w)
word w[3];
{

	(*w[0].ip) = XRotateBuffers((Display *) ((*w[1].ip)), w[2].i);

}

void  _XRotateWindowProperties (w)
word w[6];
{

	(*w[0].ip) = XRotateWindowProperties((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Atom *) (w[3].ip), w[4].i, 
		w[5].i);

}

void  _XScreenCount (w)
word w[2];
{

	(*w[0].ip) = XScreenCount((Display *) ((*w[1].ip)));

}

void  _XSelectInput (w)
word w[4];
{

	(*w[0].ip) = XSelectInput((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i);

}

void  _XSendEvent (w)
word w[6];
{

	(*w[0].ip) = XSendEvent((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].i, (XEvent *) ((*w[5].ip)));

}

void  _XSetAccessControl (w)
word w[3];
{

	(*w[0].ip) = XSetAccessControl((Display *) ((*w[1].ip)), w[2].i);

}

void  _XSetArcMode (w)
word w[4];
{

	(*w[0].ip) = XSetArcMode((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i);

}

void  _XSetBackground (w)
word w[4];
{

	(*w[0].ip) = XSetBackground((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i);

}

void  _XSetClipMask (w)
word w[4];
{

	(*w[0].ip) = XSetClipMask((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		(Pixmap) (w[3].i));

}

void  _XSetClipOrigin (w)
word w[5];
{

	(*w[0].ip) = XSetClipOrigin((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, w[4].i);

}

void  _XSetClipRectangles (w)
word w[8];
{

	(*w[0].ip) = XSetClipRectangles((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, w[4].i, (XRectangle *) ((*w[5].ip)), 
		w[6].i, w[7].i);

}

void  _XSetCloseDownMode (w)
word w[3];
{

	(*w[0].ip) = XSetCloseDownMode((Display *) ((*w[1].ip)), w[2].i);

}

void  _XSetCommand (w)
word w[5];
{

	(*w[0].ip) = XSetCommand((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, w[4].i);

}

void  _XSetDashes (w)
word w[7];
{

	(*w[0].ip) = XSetDashes((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, (w[4].cp), w[6].i);

}

void  _XSetFillRule (w)
word w[4];
{

	(*w[0].ip) = XSetFillRule((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i);

}

void  _XSetFillStyle (w)
word w[4];
{

	(*w[0].ip) = XSetFillStyle((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i);

}

void  _XSetFont (w)
word w[4];
{

	(*w[0].ip) = XSetFont((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		(Font) (w[3].i));

}

void  _XSetFontPath (w)
word w[4];
{

	(*w[0].ip) = XSetFontPath((Display *) ((*w[1].ip)), w[2].i, 
		w[3].i);

}

void  _XSetForeground (w)
word w[4];
{

	(*w[0].ip) = XSetForeground((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i);

}

void  _XSetFunction (w)
word w[4];
{

	(*w[0].ip) = XSetFunction((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i);

}

void  _XSetGraphicsExposures (w)
word w[4];
{

	(*w[0].ip) = XSetGraphicsExposures((Display *) ((*w[1].ip)), 
		(GC *) ((*w[2].ip)), w[3].i);

}

void  _XSetIconName (w)
word w[5];
{

	(*w[0].ip) = XSetIconName((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(w[3].cp));

}

void  _XSetInputFocus (w)
word w[5];
{

	(*w[0].ip) = XSetInputFocus((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, (Time) (w[4].i));

}

void  _XSetLineAttributes (w)
word w[7];
{

	(*w[0].ip) = XSetLineAttributes((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, w[4].i, w[5].i, w[6].i);

}

void  _XSetModifierMapping (w)
word w[3];
{

	(*w[0].ip) = XSetModifierMapping((Display *) ((*w[1].ip)), (XModifierKeymap *) ((*w[2].ip)));

}

void  _XSetPlaneMask (w)
word w[4];
{

	(*w[0].ip) = XSetPlaneMask((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i);

}

void  _XSetPointerMapping (w)
word w[5];
{

	(*w[0].ip) = XSetPointerMapping((Display *) ((*w[1].ip)), (w[2].cp), 
		w[4].i);

}

void  _XSetScreenSaver (w)
word w[6];
{

	(*w[0].ip) = XSetScreenSaver((Display *) ((*w[1].ip)), w[2].i, 
		w[3].i, w[4].i, w[5].i);

}

void  _XSetSelectionOwner (w)
word w[5];
{

	(*w[0].ip) = XSetSelectionOwner((Display *) ((*w[1].ip)), (Atom) (w[2].i), 
		(Window) (w[3].i), (Time) (w[4].i));

}

void  _XSetState (w)
word w[7];
{

	(*w[0].ip) = XSetState((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, w[4].i, w[5].i, w[6].i);

}

void  _XSetStipple (w)
word w[4];
{

	(*w[0].ip) = XSetStipple((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		(Pixmap) (w[3].i));

}

void  _XSetSubwindowMode (w)
word w[4];
{

	(*w[0].ip) = XSetSubwindowMode((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i);

}

void  _XSetTSOrigin (w)
word w[5];
{

	(*w[0].ip) = XSetTSOrigin((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		w[3].i, w[4].i);

}

void  _XSetTile (w)
word w[4];
{

	(*w[0].ip) = XSetTile((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		(Pixmap) (w[3].i));

}

void  _XSetWindowBackground (w)
word w[4];
{

	(*w[0].ip) = XSetWindowBackground((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].i);

}

void  _XSetWindowBackgroundPixmap (w)
word w[4];
{

	(*w[0].ip) = XSetWindowBackgroundPixmap((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Pixmap) (w[3].i));

}

void  _XSetWindowBorder (w)
word w[4];
{

	(*w[0].ip) = XSetWindowBorder((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i);

}

void  _XSetWindowBorderPixmap (w)
word w[4];
{

	(*w[0].ip) = XSetWindowBorderPixmap((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Pixmap) (w[3].i));

}

void  _XSetWindowBorderWidth (w)
word w[4];
{

	(*w[0].ip) = XSetWindowBorderWidth((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), w[3].i);

}

void  _XSetWindowColormap (w)
word w[4];
{

	(*w[0].ip) = XSetWindowColormap((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Colormap) (w[3].i));

}

void  _XStoreBuffer (w)
word w[6];
{

	(*w[0].ip) = XStoreBuffer((Display *) ((*w[1].ip)), (w[2].cp), 
		w[4].i, w[5].i);

}

void  _XStoreBytes (w)
word w[5];
{

	(*w[0].ip) = XStoreBytes((Display *) ((*w[1].ip)), (w[2].cp), 
		w[4].i);

}

void  _XStoreColor (w)
word w[4];
{

	(*w[0].ip) = XStoreColor((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(XColor *) ((*w[3].ip)));

}

void  _XStoreColors (w)
word w[5];
{

	(*w[0].ip) = XStoreColors((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(XColor *) ((*w[3].ip)), w[4].i);

}

void  _XStoreName (w)
word w[5];
{

	(*w[0].ip) = XStoreName((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(w[3].cp));

}

void  _XStoreNamedColor (w)
word w[7];
{

	(*w[0].ip) = XStoreNamedColor((Display *) ((*w[1].ip)), (Colormap) (w[2].i), 
		(w[3].cp), w[5].i, w[6].i);

}

void  _XSync (w)
word w[3];
{

	(*w[0].ip) = XSync((Display *) ((*w[1].ip)), w[2].i);

}

void  _XTextExtents (w)
word w[9];
{

	(*w[0].ip) = XTextExtents((XFontStruct *) ((*w[1].ip)), (w[2].cp), 
		w[4].i, w[5].ip, w[6].ip, w[7].ip, (XCharStruct *) ((*w[8].ip)));

}

void  _XTextExtents16 (w)
word w[8];
{

	(*w[0].ip) = XTextExtents16((XFontStruct *) ((*w[1].ip)), (XChar2b *) ((*w[2].ip)), 
		w[3].i, w[4].ip, w[5].ip, w[6].ip, (XCharStruct *) ((*w[7].ip)));

}

void  _XTextWidth (w)
word w[5];
{

	(*w[0].ip) = XTextWidth((XFontStruct *) ((*w[1].ip)), (w[2].cp), 
		w[4].i);

}

void  _XTextWidth16 (w)
word w[4];
{

	(*w[0].ip) = XTextWidth16((XFontStruct *) ((*w[1].ip)), (XChar2b *) ((*w[2].ip)), 
		w[3].i);

}

void  _XTranslateCoordinates (w)
word w[9];
{

	(*w[0].ip) = XTranslateCoordinates((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (Window) (w[3].i), w[4].i, 
		w[5].i, w[6].ip, w[7].ip, (Window *) (w[8].ip));

}

void  _XUndefineCursor (w)
word w[3];
{

	(*w[0].ip) = XUndefineCursor((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XUngrabButton (w)
word w[5];
{

	(*w[0].ip) = XUngrabButton((Display *) ((*w[1].ip)), w[2].i, 
		w[3].i, (Window) (w[4].i));

}

void  _XUngrabKey (w)
word w[5];
{

	(*w[0].ip) = XUngrabKey((Display *) ((*w[1].ip)), w[2].i, w[3].i, 
		(Window) (w[4].i));

}

void  _XUngrabKeyboard (w)
word w[3];
{

	(*w[0].ip) = XUngrabKeyboard((Display *) ((*w[1].ip)), (Time) (w[2].i));

}

void  _XUngrabPointer (w)
word w[3];
{

	(*w[0].ip) = XUngrabPointer((Display *) ((*w[1].ip)), (Time) (w[2].i));

}

void  _XUngrabServer (w)
word w[2];
{

	(*w[0].ip) = XUngrabServer((Display *) ((*w[1].ip)));

}

void  _XUninstallColormap (w)
word w[3];
{

	(*w[0].ip) = XUninstallColormap((Display *) ((*w[1].ip)), (Colormap) (w[2].i));

}

void  _XUnloadFont (w)
word w[3];
{

	(*w[0].ip) = XUnloadFont((Display *) ((*w[1].ip)), (Font) (w[2].i));

}

void  _XUnmapSubwindows (w)
word w[3];
{

	(*w[0].ip) = XUnmapSubwindows((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XUnmapWindow (w)
word w[3];
{

	(*w[0].ip) = XUnmapWindow((Display *) ((*w[1].ip)), (Window) (w[2].i));

}

void  _XVendorRelease (w)
word w[2];
{

	(*w[0].ip) = XVendorRelease((Display *) ((*w[1].ip)));

}

void  _XWarpPointer (w)
word w[10];
{

	(*w[0].ip) = XWarpPointer((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(Window) (w[3].i), w[4].i, w[5].i, w[6].i, w[7].i, 
		w[8].i, w[9].i);

}

void  _XWidthMMOfScreen (w)
word w[2];
{

	(*w[0].ip) = XWidthMMOfScreen((Screen *) ((*w[1].ip)));

}

void  _XWidthOfScreen (w)
word w[2];
{

	(*w[0].ip) = XWidthOfScreen((Screen *) ((*w[1].ip)));

}

void  _XWindowEvent (w)
word w[5];
{

	(*w[0].ip) = XWindowEvent((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		w[3].i, (XEvent *) ((*w[4].ip)));

}

void  _XWriteBitmapFile (w)
word w[9];
{

	(*w[0].ip) = XWriteBitmapFile((Display *) ((*w[1].ip)), (w[2].cp), 
		(Pixmap) (w[4].i), w[5].i, w[6].i, w[7].i, w[8].i);

}

void  _XSupportsLocale (w)
word w[1];
{
	(*w[0].ip) = XSupportsLocale();
}

void  _XSetLocaleModifiers (w)
word w[3];
{
	(*w[0].ip) = XSetLocaleModifiers((w[1].cp));
}

void  _XCreateFontSet (w)
word w[7];
{

	(*w[0].ip) = (int *) (XCreateFontSet((Display *) ((*w[1].ip)), 
		(w[2].cp), w[4].i, w[5].ip, w[6].i));

}

void  _XFreeFontSet (w)
word w[2];
{

	XFreeFontSet((Display *) ((*w[0].ip)), (XFontSet *) ((*w[1].ip)));

}

void  _XFontsOfFontSet (w)
word w[4];
{

	(*w[0].ip) = XFontsOfFontSet((XFontSet *) ((*w[1].ip)), (XFontStruct *) (w[2].i), 
		w[3].i);

}

void  _XBaseFontNameListOfFontSet (w)
word w[2];
{

	(*w[0].ip) = XBaseFontNameListOfFontSet((XFontSet *) ((*w[1].ip)));

}

void  _XLocaleOfFontSet (w)
word w[2];
{

	(*w[0].ip) = XLocaleOfFontSet((XFontSet *) ((*w[1].ip)));

}

void  _XContextDependentDrawing (w)
word w[2];
{

	(*w[0].ip) = XContextDependentDrawing((XFontSet *) ((*w[1].ip)));

}

void  _XExtentsOfFontSet (w)
word w[2];
{

	(*w[0].ip) = (int *) (XExtentsOfFontSet((XFontSet *) ((*w[1].ip))));

}

void  _XmbTextEscapement (w)
word w[5];
{

	(*w[0].ip) = XmbTextEscapement((XFontSet *) ((*w[1].ip)), (w[2].cp), 
		w[4].i);

}

void  _XwcTextEscapement (w)
word w[4];
{

	(*w[0].ip) = XwcTextEscapement((XFontSet *) ((*w[1].ip)), (wchar_t *) ((short int *)(w[2].i^1)), 
		w[3].i);

}

void  _XmbTextExtents (w)
word w[7];
{

	(*w[0].ip) = XmbTextExtents((XFontSet *) ((*w[1].ip)), (w[2].cp), 
		w[4].i, (XRectangle *) ((*w[5].ip)), (XRectangle *) ((*w[6].ip)));

}

void  _XwcTextExtents (w)
word w[6];
{

	(*w[0].ip) = XwcTextExtents((XFontSet *) ((*w[1].ip)), (wchar_t *) ((short int *)(w[2].i^1)), 
		w[3].i, (XRectangle *) ((*w[4].ip)), (XRectangle *) ((*w[5].ip)));

}

void  _XmbTextPerCharExtents (w)
word w[11];
{

	(*w[0].ip) = XmbTextPerCharExtents((XFontSet *) ((*w[1].ip)), 
		(w[2].cp), w[4].i, (XRectangle *) ((*w[5].ip)), 
		(XRectangle *) ((*w[6].ip)), w[7].i, w[8].ip, 
		(XRectangle *) ((*w[9].ip)), (XRectangle *) ((*w[10].ip)));

}

void  _XwcTextPerCharExtents (w)
word w[10];
{

	(*w[0].ip) = XwcTextPerCharExtents((XFontSet *) ((*w[1].ip)), 
		(wchar_t *) ((short int *)(w[2].i^1)), w[3].i, 
		(XRectangle *) ((*w[4].ip)), (XRectangle *) ((*w[5].ip)), 
		w[6].i, w[7].ip, (XRectangle *) ((*w[8].ip)), 
		(XRectangle *) ((*w[9].ip)));

}

void  _XmbDrawText (w)
word w[7];
{

	XmbDrawText((Display *) ((*w[0].ip)), (Drawable) (w[1].i), (GC *) ((*w[2].ip)), 
		w[3].i, w[4].i, (XmbTextItem *) ((*w[5].ip)), 
		w[6].i);

}

void  _XwcDrawText (w)
word w[7];
{

	XwcDrawText((Display *) ((*w[0].ip)), (Drawable) (w[1].i), (GC *) ((*w[2].ip)), 
		w[3].i, w[4].i, (XwcTextItem *) ((*w[5].ip)), 
		w[6].i);

}

void  _XmbDrawString (w)
word w[9];
{

	XmbDrawString((Display *) ((*w[0].ip)), (Drawable) (w[1].i), 
		(XFontSet *) ((*w[2].ip)), (GC *) ((*w[3].ip)), 
		w[4].i, w[5].i, (w[6].cp), w[8].i);

}

void  _XwcDrawString (w)
word w[8];
{

	XwcDrawString((Display *) ((*w[0].ip)), (Drawable) (w[1].i), 
		(XFontSet *) ((*w[2].ip)), (GC *) ((*w[3].ip)), 
		w[4].i, w[5].i, (wchar_t *) ((short int *)(w[6].i^1)), 
		w[7].i);

}

void  _XmbDrawImageString (w)
word w[9];
{

	XmbDrawImageString((Display *) ((*w[0].ip)), (Drawable) (w[1].i), 
		(XFontSet *) ((*w[2].ip)), (GC *) ((*w[3].ip)), 
		w[4].i, w[5].i, (w[6].cp), w[8].i);

}

void  _XwcDrawImageString (w)
word w[8];
{

	XwcDrawImageString((Display *) ((*w[0].ip)), (Drawable) (w[1].i), 
		(XFontSet *) ((*w[2].ip)), (GC *) ((*w[3].ip)), 
		w[4].i, w[5].i, (wchar_t *) ((short int *)(w[6].i^1)), 
		w[7].i);

}

void  _XOpenIM (w)
word w[7];
{

	(*w[0].ip) = (int *) (XOpenIM((Display *) ((*w[1].ip)), (*w[2].ip), 
		(w[3].cp), (w[5].cp)));

}

void  _XCloseIM (w)
word w[2];
{

	(*w[0].ip) = XCloseIM((XIM *) ((*w[1].ip)));

}

/*
void  _XGetIMValues (w)
word w[1];
{
	(*w[0].ip) = XGetIMValues();
}
*/
void  _XDisplayOfIM (w)
word w[2];
{

	(*w[0].ip) = (int *) (XDisplayOfIM((XIM *) ((*w[1].ip))));

}

void  _XLocaleOfIM (w)
word w[2];
{

	(*w[0].ip) = XLocaleOfIM((XIM *) ((*w[1].ip)));

}
/*
void  _XCreateIC (w)
word w[1];
{

	(*w[0].ip) = (int *) (XCreateIC());

}
*/
void  _XDestroyIC (w)
word w[1];
{

	XDestroyIC((XIC *) ((*w[0].ip)));

}

void  _XSetICFocus (w)
word w[1];
{

	XSetICFocus((XIC *) ((*w[0].ip)));

}

void  _XUnsetICFocus (w)
word w[1];
{

	XUnsetICFocus((XIC *) ((*w[0].ip)));

}

void  _XwcResetIC (w)
word w[2];
{

	(*w[0].ip) = (int *) (XwcResetIC((XIC *) ((*w[1].ip))));

}

void  _XmbResetIC (w)
word w[2];
{

	(*w[0].ip) = XmbResetIC((XIC *) ((*w[1].ip)));

}
/*
void  _XSetICValues (w)
word w[1];
{
	(*w[0].ip) = XSetICValues();
}
*/
/*
void  _XGetICValues (w)
word w[1];
{
	(*w[0].ip) = XGetICValues();
}
*/
void  _XIMOfIC (w)
word w[2];
{

	(*w[0].ip) = (int *) (XIMOfIC((XIC *) ((*w[1].ip))));

}

void  _XFilterEvent (w)
word w[3];
{
	(*w[0].ip) = XFilterEvent((XEvent *) ((*w[1].ip)), (Window) (w[2].i));
}

void  _XmbLookupString (w)
word w[8];
{

	(*w[0].ip) = XmbLookupString((XIC *) ((*w[1].ip)), (XKeyPressedEvent *) ((*w[2].ip)), 
		(w[3].cp), w[5].i, (KeySym *) (w[6].ip), w[7].ip);

}

void  _XwcLookupString (w)
word w[7];
{

	(*w[0].ip) = XwcLookupString((XIC *) ((*w[1].ip)), (XKeyPressedEvent *) ((*w[2].ip)), 
		(wchar_t *) ((short int *)(w[3].i^1)), w[4].i, 
		(KeySym *) (w[5].ip), w[6].ip);

}

/*
void  _XVaCreateNestedList (w)
word w[1];
{
	(*w[0].ip) = (void *) (XVaCreateNestedList());
}
*/
void  _XAllocClassHint (w)
word w[1];
{

	(*w[0].ip) = (int *) (XAllocClassHint());

}

void  _XAllocIconSize (w)
word w[1];
{

	(*w[0].ip) = (int *) (XAllocIconSize());

}

void  _XAllocSizeHints (w)
word w[1];
{

	(*w[0].ip) = (int *) (XAllocSizeHints());

}

void  _XAllocStandardColormap (w)
word w[1];
{

	(*w[0].ip) = (int *) (XAllocStandardColormap());

}

void  _XAllocWMHints (w)
word w[1];
{

	(*w[0].ip) = (int *) (XAllocWMHints());

}

void  _XClipBox (w)
word w[3];
{

	(*w[0].ip) = XClipBox((Region *) ((*w[1].ip)), (XRectangle *) ((*w[2].ip)));

}

void  _XCreateRegion (w)
word w[1];
{

	(*w[0].ip) = (int *) (XCreateRegion());

}

void  _XDefaultString (w)
word w[1];
{
	(*w[0].ip) = XDefaultString();
}

void  _XDeleteContext (w)
word w[4];
{

	(*w[0].ip) = XDeleteContext((Display *) ((*w[1].ip)), (XID) (w[2].i), 
		(XContext) (w[3].i));

}

void  _XDestroyRegion (w)
word w[2];
{

	(*w[0].ip) = XDestroyRegion((Region *) ((*w[1].ip)));

}

void  _XEmptyRegion (w)
word w[2];
{

	(*w[0].ip) = XEmptyRegion((Region *) ((*w[1].ip)));

}

void  _XEqualRegion (w)
word w[3];
{

	(*w[0].ip) = XEqualRegion((Region *) ((*w[1].ip)), (Region *) ((*w[2].ip)));

}

void  _XFindContext (w)
word w[5];
{

	(*w[0].ip) = XFindContext((Display *) ((*w[1].ip)), (XID) (w[2].i), 
		(XContext) (w[3].i), (XPointer *) (w[4].i));

}

void  _XGetClassHint (w)
word w[4];
{

	(*w[0].ip) = XGetClassHint((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XClassHint *) ((*w[3].ip)));

}

void  _XGetIconSizes (w)
word w[5];
{

	(*w[0].ip) = XGetIconSizes((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XIconSize *) (w[3].i), w[4].ip);

}

void  _XGetNormalHints (w)
word w[4];
{

	(*w[0].ip) = XGetNormalHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XSizeHints *) ((*w[3].ip)));

}

void  _XGetRGBColormaps (w)
word w[6];
{

	(*w[0].ip) = XGetRGBColormaps((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XStandardColormap *) (w[3].i), w[4].ip, (Atom) (w[5].i));

}

void  _XGetSizeHints (w)
word w[5];
{

	(*w[0].ip) = XGetSizeHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XSizeHints *) ((*w[3].ip)), (Atom) (w[4].i));

}

void  _XGetStandardColormap (w)
word w[5];
{

	(*w[0].ip) = XGetStandardColormap((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (XStandardColormap *) ((*w[3].ip)), 
		(Atom) (w[4].i));

}

void  _XGetTextProperty (w)
word w[5];
{

	(*w[0].ip) = XGetTextProperty((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XTextProperty *) ((*w[3].ip)), (Atom) (w[4].i));

}

void  _XGetVisualInfo (w)
word w[5];
{

	(*w[0].ip) = (int *) (XGetVisualInfo((Display *) ((*w[1].ip)), 
		w[2].i, (XVisualInfo *) ((*w[3].ip)), w[4].ip));

}

void  _XGetWMClientMachine (w)
word w[4];
{

	(*w[0].ip) = XGetWMClientMachine((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XTextProperty *) ((*w[3].ip)));

}

void  _XGetWMHints (w)
word w[3];
{

	(*w[0].ip) = (int *) (XGetWMHints((Display *) ((*w[1].ip)), 
		(Window) (w[2].i)));

}

void  _XGetWMIconName (w)
word w[4];
{

	(*w[0].ip) = XGetWMIconName((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XTextProperty *) ((*w[3].ip)));

}

void  _XGetWMName (w)
word w[4];
{

	(*w[0].ip) = XGetWMName((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XTextProperty *) ((*w[3].ip)));

}

void  _XGetWMNormalHints (w)
word w[5];
{

	(*w[0].ip) = XGetWMNormalHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XSizeHints *) ((*w[3].ip)), w[4].ip);

}

void  _XGetWMSizeHints (w)
word w[6];
{

	(*w[0].ip) = XGetWMSizeHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XSizeHints *) ((*w[3].ip)), w[4].ip, (Atom) (w[5].i));

}

void  _XGetZoomHints (w)
word w[4];
{

	(*w[0].ip) = XGetZoomHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XSizeHints *) ((*w[3].ip)));

}

void  _XIntersectRegion (w)
word w[4];
{

	(*w[0].ip) = XIntersectRegion((Region *) ((*w[1].ip)), (Region *) ((*w[2].ip)), 
		(Region *) ((*w[3].ip)));

}

void  _XLookupString (w)
word w[7];
{

	(*w[0].ip) = XLookupString((XKeyEvent *) ((*w[1].ip)), (w[2].cp), 
		w[4].i, (KeySym *) (w[5].ip), (XComposeStatus *) ((*w[6].ip)));

}

void  _XMatchVisualInfo (w)
word w[6];
{

	(*w[0].ip) = XMatchVisualInfo((Display *) ((*w[1].ip)), w[2].i, 
		w[3].i, w[4].i, (XVisualInfo *) ((*w[5].ip)));

}

void  _XOffsetRegion (w)
word w[4];
{

	(*w[0].ip) = XOffsetRegion((Region *) ((*w[1].ip)), w[2].i, 
		w[3].i);

}

void  _XPointInRegion (w)
word w[4];
{

	(*w[0].ip) = XPointInRegion((Region *) ((*w[1].ip)), w[2].i, 
		w[3].i);

}

void  _XPolygonRegion (w)
word w[4];
{

	(*w[0].ip) = (int *) (XPolygonRegion((XPoint *) ((*w[1].ip)), 
		w[2].i, w[3].i));

}

void  _XRectInRegion (w)
word w[6];
{

	(*w[0].ip) = XRectInRegion((Region *) ((*w[1].ip)), w[2].i, 
		w[3].i, w[4].i, w[5].i);

}

void  _XSaveContext (w)
word w[6];
{

	(*w[0].ip) = XSaveContext((Display *) ((*w[1].ip)), (XID) (w[2].i), 
		(XContext) (w[3].i), (w[4].cp));

}

void  _XSetClassHint (w)
word w[4];
{

	(*w[0].ip) = XSetClassHint((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XClassHint *) ((*w[3].ip)));

}

void  _XSetIconSizes (w)
word w[5];
{

	(*w[0].ip) = XSetIconSizes((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XIconSize *) ((*w[3].ip)), w[4].i);

}

void  _XSetNormalHints (w)
word w[4];
{

	(*w[0].ip) = XSetNormalHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XSizeHints *) ((*w[3].ip)));

}

void  _XSetRGBColormaps (w)
word w[5];
{

	XSetRGBColormaps((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(XStandardColormap *) ((*w[2].ip)), w[3].i, (Atom) (w[4].i));

}

void  _XSetSizeHints (w)
word w[5];
{

	(*w[0].ip) = XSetSizeHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XSizeHints *) ((*w[3].ip)), (Atom) (w[4].i));

}

void  _XSetStandardProperties (w)
word w[11];
{

	(*w[0].ip) = XSetStandardProperties((Display *) ((*w[1].ip)), 
		(Window) (w[2].i), (w[3].cp), (w[5].cp), (Pixmap) (w[7].i), 
		w[8].i, w[9].i, (XSizeHints *) ((*w[10].ip)));

}

void  _XSetTextProperty (w)
word w[4];
{

	XSetTextProperty((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(XTextProperty *) ((*w[2].ip)), (Atom) (w[3].i));

}

void  _XSetWMClientMachine (w)
word w[3];
{

	XSetWMClientMachine((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(XTextProperty *) ((*w[2].ip)));

}

void  _XSetWMHints (w)
word w[4];
{

	(*w[0].ip) = XSetWMHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XWMHints *) ((*w[3].ip)));

}

void  _XSetWMIconName (w)
word w[3];
{

	XSetWMIconName((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(XTextProperty *) ((*w[2].ip)));

}

void  _XSetWMName (w)
word w[3];
{

	XSetWMName((Display *) ((*w[0].ip)), (Window) (w[1].i), (XTextProperty *) ((*w[2].ip)));

}

void  _XSetWMNormalHints (w)
word w[3];
{

	XSetWMNormalHints((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(XSizeHints *) ((*w[2].ip)));

}

void  _XSetWMProperties (w)
word w[9];
{

	XSetWMProperties((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(XTextProperty *) ((*w[2].ip)), (XTextProperty *) ((*w[3].ip)), 
		w[4].i, w[5].i, (XSizeHints *) ((*w[6].ip)), 
		(XWMHints *) ((*w[7].ip)), (XClassHint *) ((*w[8].ip)));

}

void  _XmbSetWMProperties (w)
word w[11];
{

	XmbSetWMProperties((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(w[2].cp), (w[4].cp), w[6].i, w[7].i, (XSizeHints *) ((*w[8].ip)), 
		(XWMHints *) ((*w[9].ip)), (XClassHint *) ((*w[10].ip)));

}

void  _XSetWMSizeHints (w)
word w[4];
{

	XSetWMSizeHints((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(XSizeHints *) ((*w[2].ip)), (Atom) (w[3].i));

}

void  _XSetRegion (w)
word w[4];
{

	(*w[0].ip) = XSetRegion((Display *) ((*w[1].ip)), (GC *) ((*w[2].ip)), 
		(Region *) ((*w[3].ip)));

}

void  _XSetStandardColormap (w)
word w[4];
{

	XSetStandardColormap((Display *) ((*w[0].ip)), (Window) (w[1].i), 
		(XStandardColormap *) ((*w[2].ip)), (Atom) (w[3].i));

}

void  _XSetZoomHints (w)
word w[4];
{

	(*w[0].ip) = XSetZoomHints((Display *) ((*w[1].ip)), (Window) (w[2].i), 
		(XSizeHints *) ((*w[3].ip)));

}

void  _XShrinkRegion (w)
word w[4];
{

	(*w[0].ip) = XShrinkRegion((Region *) ((*w[1].ip)), w[2].i, 
		w[3].i);

}

void  _XStringListToTextProperty (w)
word w[4];
{

	(*w[0].ip) = XStringListToTextProperty(w[1].i, w[2].i, (XTextProperty *) ((*w[3].ip)));

}

void  _XSubtractRegion (w)
word w[4];
{

	(*w[0].ip) = XSubtractRegion((Region *) ((*w[1].ip)), (Region *) ((*w[2].ip)), 
		(Region *) ((*w[3].ip)));

}

void  _XwcFreeStringList (w)
word w[1];
{
	XwcFreeStringList((wchar_t *) (w[0].i));
}

void  _XTextPropertyToStringList (w)
word w[4];
{

	(*w[0].ip) = XTextPropertyToStringList((XTextProperty *) ((*w[1].ip)), 
		w[2].i, w[3].ip);

}

void  _XmbTextPropertyToTextList (w)
word w[5];
{

	(*w[0].ip) = XmbTextPropertyToTextList((Display *) ((*w[1].ip)), 
		(XTextProperty *) ((*w[2].ip)), w[3].i, w[4].ip);

}

void  _XwcTextPropertyToTextList (w)
word w[5];
{

	(*w[0].ip) = XwcTextPropertyToTextList((Display *) ((*w[1].ip)), 
		(XTextProperty *) ((*w[2].ip)), (wchar_t *) (w[3].i), 
		w[4].ip);

}

void  _XUnionRectWithRegion (w)
word w[4];
{

	(*w[0].ip) = XUnionRectWithRegion((XRectangle *) ((*w[1].ip)), 
		(Region *) ((*w[2].ip)), (Region *) ((*w[3].ip)));

}

void  _XUnionRegion (w)
word w[4];
{

	(*w[0].ip) = XUnionRegion((Region *) ((*w[1].ip)), (Region *) ((*w[2].ip)), 
		(Region *) ((*w[3].ip)));

}

void  _XWMGeometry (w)
word w[14];
{

	(*w[0].ip) = XWMGeometry((Display *) ((*w[1].ip)), w[2].i, (w[3].cp), 
		(w[5].cp), w[7].i, (XSizeHints *) ((*w[8].ip)), 
		w[9].ip, w[10].ip, w[11].ip, w[12].ip, w[13].ip);

}

void  _XXorRegion (w)
word w[4];
{

	(*w[0].ip) = XXorRegion((Region *) ((*w[1].ip)), (Region *) ((*w[2].ip)), 
		(Region *) ((*w[3].ip)));

}

#include "xlibmacros_if.c"
